import { type ComponentPropsWithoutRef, type FC, type PropsWithChildren } from 'react';
type Props = PropsWithChildren<{
    /** アイテムを識別するための名前 */
    name: string;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'section'>, keyof Props>;
export declare const AccordionPanelItemContext: import("react").Context<{
    name: string;
}>;
export declare const AccordionPanelItem: FC<Props & ElementProps>;
export {};
