"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Section } from '../SectioningContent/SectioningContent.js';
import '../SectioningContent/levelContext.js';

const AccordionPanelItemContext = createContext({
    name: '',
});
const classNameGenerator = ce({
    base: ['smarthr-ui-AccordionPanel-item', '[&_+_&]:shr-border-t-shorthand'],
});
const AccordionPanelItem = ({ name, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsx(AccordionPanelItemContext.Provider, { value: {
            name,
        }, children: jsx(Section, { ...props, className: actualClassName }) }));
};

export { AccordionPanelItem, AccordionPanelItemContext };
//# sourceMappingURL=AccordionPanelItem.js.map
