import { jsxs, jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { FaAngleRightIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { CommonButton } from '../common/CommonButton.js';
import { Translate } from '../common/Translate.js';

const MenuButton = memo(({ children, onClick, isCurrent }) => (jsxs(CommonButton, { elementAs: "button", type: "button", onClick: onClick, current: isCurrent, boldWhenCurrent: true, className: "[&&]:shr-justify-between [&&]:shr-px-0.5", children: [jsx(Translate, { children: children }), jsx(FaAngleRightIcon, { color: "TEXT_BLACK" })] })));

export { MenuButton };
//# sourceMappingURL=MenuButton.js.map
