import { type Dispatch, type FC, type PropsWithChildren, type ReactNode, type RefObject } from 'react';
type Props = PropsWithChildren<{
    isOpen: boolean;
    setIsOpen: Dispatch<boolean>;
    tenantSelector: ReactNode;
}>;
export declare const MenuDialog: FC<Props>;
export declare const Content: FC<Omit<Props, 'isOpen'> & {
    domRef: RefObject<HTMLSelectElement>;
}>;
export {};
