import type { Messages } from '../multilingualization/messages';
export declare const useTranslate: () => <ID extends keyof Messages>(id: ID) => {
    readonly 'common/school': "スクール";
    readonly 'common/help': "ヘルプ";
    readonly 'common/userSetting': "個人設定";
    readonly 'common/releaseNote': "リリースノート";
    readonly 'common/releaseNotesLoadError': "リリースノートの読み込みに失敗しました。\n時間をおいて、やり直してください。";
    readonly 'common/seeAllReleaseNotes': "すべてのリリースノートを見る";
    readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "アプリ";
    readonly 'MobileHeader/UserInfo/account': "アカウント";
    readonly 'MobileHeader/Menu/openMenu': "メニューを開く";
    readonly 'MobileHeader/Menu/closeMenu': "メニューを閉じる";
    readonly 'MobileHeader/Menu/allAppButton': "すべてのアプリ";
    readonly 'MobileHeader/Menu/managementMenu': "管理メニュー";
    readonly 'MobileHeader/Menu/latestReleaseNotes': "最新のリリースノート";
    readonly 'MobileHeader/MenuSubHeading/back': "戻る";
    readonly 'MobileHeader/MenuAccordion/open': "開く";
    readonly 'MobileHeader/MenuAccordion/close': "閉じる";
    readonly 'Launcher/searchInputTitle': "アプリ名を入力してください。";
    readonly 'Launcher/favoriteModeText': "よく使うアプリ";
    readonly 'Launcher/allModeText': "すべてのアプリ";
    readonly 'Launcher/listText': "アプリ一覧";
    readonly 'Launcher/helpText': "よく使うアプリとは";
    readonly 'Launcher/searchResultText': "検索結果";
    readonly 'Launcher/emptyText': "該当するアプリが見つかりませんでした。";
    readonly 'Launcher/sortDropdownLabel': "表示順";
    readonly 'Launcher/sortDropdownSelected': "選択中";
    readonly 'Launcher/sortDropdownOrderDefault': "デフォルト";
    readonly 'Launcher/sortDropdownOrderNameAsc': "アプリ名の昇順";
    readonly 'Launcher/sortDropdownOrderNameDesc': "アプリ名の降順";
}[ID];
