import type { ChildNavigation, ChildNavigationGroup, Navigation } from './types';
export declare const buildDisplayName: ({ email, empCode, firstName, lastName, }: {
    email?: string | null;
    empCode?: string | null;
    firstName?: string | null;
    lastName?: string | null;
}) => string;
export declare const isChildNavigation: (navigation: Navigation | ChildNavigationGroup) => navigation is ChildNavigation;
export declare const isChildNavigationGroup: (navigation: Navigation | ChildNavigationGroup) => navigation is ChildNavigationGroup;
