const buildDisplayName = ({ email, empCode, firstName, lastName, }) => {
    if (firstName && lastName) {
        return `${lastName} ${firstName}${empCode ? `（${empCode}）` : ''}`;
    }
    return empCode || email || '';
};
const isChildNavigation = (navigation) => 'href' in navigation || 'elementAs' in navigation || 'onClick' in navigation;
const isChildNavigationGroup = (navigation) => navigation &&
    'childNavigations' in navigation &&
    'title' in navigation &&
    !('elementAs' in navigation);

export { buildDisplayName, isChildNavigation, isChildNavigationGroup };
//# sourceMappingURL=utils.js.map
