import { type ComponentType, type FC, type PropsWithChildren } from 'react';
import type { ComponentProps as IconProps } from '../Icon';
export type AppNaviButtonProps = PropsWithChildren<{
    /** 表示するアイコンタイプ */
    icon?: ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
    /** クリックイベントのハンドラ */
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}>;
export declare const AppNaviButton: FC<AppNaviButtonProps>;
