import { type ComponentType, type FC, type PropsWithChildren } from 'react';
import type { ComponentProps as IconProps } from '../Icon';
export type AppNaviCustomTagProps = PropsWithChildren<{
    /** このボタンのカスタムタグ */
    tag: ComponentType<any>;
    /** 表示するアイコンタイプ */
    icon?: ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
}> & {
    [key: string]: any;
};
export declare const AppNaviCustomTag: FC<AppNaviCustomTagProps>;
