import { type ButtonHTMLAttributes } from 'react';
import type { BaseProps } from './types';
type ElementProps = Omit<ButtonHTMLAttributes<HTMLButtonElement>, keyof BaseProps>;
export declare const Button: import("react").ForwardRefExoticComponent<{
    size?: "default" | "s";
    disabledDetail?: {
        icon?: import("react").FunctionComponent;
        message: import("react").ReactNode;
    };
    prefix?: import("react").ReactNode;
    suffix?: import("react").ReactNode;
    wide?: boolean;
    variant?: import("./types").Variant;
    loading?: boolean;
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps & import("react").RefAttributes<HTMLButtonElement>>;
export {};
