import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

const classNameGenerator = ce({
    base: [
        'shr-box-content shr-inline shr-cursor-pointer shr-select-auto shr-appearance-none shr-items-stretch shr-overflow-visible shr-border-none shr-border-current shr-bg-transparent shr-bg-none shr-bg-origin-padding shr-p-0 shr-text-left shr-font-inherit shr-text-inherit shr-text-color-inherit',
        'focus-visible:shr-focus-indicator',
    ],
});
const UnstyledButton = forwardRef(({ className, type = 'button', ...props }, ref) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return jsx("button", { ...props, type: type, ref: ref, className: actualClassName });
});

export { UnstyledButton };
//# sourceMappingURL=UnstyledButton.js.map
