import { type ComponentProps, type FC } from 'react';
import { type MessageDialogContentInnerProps } from './MessageDialogContentInner';
import type { DialogProps } from '../types';
type Props = Omit<MessageDialogContentInnerProps, 'titleId'> & DialogProps;
type ElementProps = Omit<ComponentProps<'div'>, keyof Props>;
export declare const MessageDialog: FC<Props & ElementProps>;
export {};
