"use client";
import { jsx } from 'react/jsx-runtime';
import { FormDialog } from '../FormDialog/FormDialog.js';
import { useRemoteTrigger } from '../useRemoteTrigger.js';

const RemoteTriggerFormDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = useRemoteTrigger({
        id,
        onClickClose,
        onPressEscape,
        onToggle,
        onOpen,
        onClose,
    });
    return (jsx(FormDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};

export { RemoteTriggerFormDialog };
//# sourceMappingURL=RemoteTriggerFormDialog.js.map
