"use client";
import { useContext } from 'react';
import { StepFormDialogContext } from './StepFormDialogProvider.js';

const StepFormDialogItem = ({ children, id }) => {
    const { currentStep } = useContext(StepFormDialogContext);
    if (currentStep.id !== id)
        return null;
    return children;
};

export { StepFormDialogItem };
//# sourceMappingURL=StepFormDialogItem.js.map
