import { type FC, type MutableRefObject, type ReactNode, type RefObject } from 'react';
export type StepItem = {
    /** StepのID */
    id: string;
    /** 何ステップ目か */
    stepNumber: number;
};
type StepFormDialogContextType = {
    stepQueue: MutableRefObject<StepItem[]>;
    currentStep: StepItem;
    setCurrentStep: (step: StepItem) => void;
    scrollerRef: RefObject<HTMLDivElement>;
};
export declare const StepFormDialogContext: import("react").Context<StepFormDialogContextType>;
type Props = {
    children: ReactNode;
    firstStep: StepItem;
};
export declare const StepFormDialogProvider: FC<Props>;
export {};
