import { type ComponentProps, type FC, type PropsWithChildren } from 'react';
import { type Rect } from './dropdownHelper';
type Props = PropsWithChildren<{
    triggerRect: Rect;
    controllable: boolean;
}>;
export type ElementProps = Omit<ComponentProps<'div'>, keyof Props>;
type DropdownContentInnerContextType = {
    maxHeight: string;
};
export declare const DropdownContentInnerContext: import("react").Context<DropdownContentInnerContextType>;
export declare const DropdownContentInner: FC<Props & ElementProps>;
export {};
