import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Dropdown/Dropdown.js';
import '../Dropdown/DropdownTrigger.js';
import '../Dropdown/DropdownContent.js';
import '../Dropdown/DropdownCloser.js';
import '../Dropdown/FilterDropdown/FilterDropdown.js';
import { DropdownMenuButton } from '../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../Dropdown/SortDropdown/SortDropdown.js';

const classNameGenerator = ce({
    base: [
        '[&>.smarthr-ui-DropdownMenuButton-trigger]:shr-border-transparent [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-bg-transparent [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-px-0.25 [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-font-normal [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-text-white',
        // ボタンの余白分だけ微調整
        '[&>.smarthr-ui-DropdownMenuButton-trigger]:last-of-type:-shr-me-0.25',
    ],
});
const HeaderDropdownMenuButton = ({ className, ...rest }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return jsx(DropdownMenuButton, { ...rest, className: actualClassName });
};

export { HeaderDropdownMenuButton };
//# sourceMappingURL=HeaderDropdownMenuButton.js.map
