import { FaCheck, FaCircleInfo, FaCaretDown, FaEllipsis, FaCircleExclamation, FaTriangleExclamation, FaAngleDown, FaMagnifyingGlassMinus, FaMagnifyingGlassPlus, FaArrowRotateLeft, FaMagnifyingGlass, FaTrashCan, FaFolderOpen, FaUpRightFromSquare, FaCircleQuestion, FaArrowLeft, FaGrip, FaXmark, FaAnglesRight, FaChevronRight, FaAnglesLeft, FaChevronLeft, FaSortUp, FaSortDown, FaCaretRight, FaRotate, FaCircleCheck, FaCalendarDays, FaCirclePlus, FaCircleXmark, FaToolbox, FaGlobe, FaAngleRight, FaArrowRight, FaStar, FaUser, FaGear, FaGraduationCap, FaCaretUp, FaBars, FaUserLarge, FaAddressBook, FaAddressCard, FaAngleLeft, FaAngleUp, FaArrowDown, FaArrowDownWideShort, FaArrowRightArrowLeft, FaArrowRotateRight, FaArrowUp19, FaArrowUp, FaArrowUpWideShort, FaArrowsRotate, FaAsterisk, FaBabyCarriage, FaBan, FaBarsStaggered, FaBell, FaBellSlash, FaBolt, FaBook, FaBookOpen, FaBoxArchive, FaBuilding, FaBullhorn, FaCakeCandles, FaCalculator, FaCalendarCheck, FaCalendarXmark, FaCaretLeft, FaChartArea, FaChartBar, FaChartColumn, FaChartLine, FaChartPie, FaChevronDown, FaCircleDot, FaCircle, FaCircleMinus, FaCircleUser, FaClipboardCheck, FaClipboard, FaClipboardList, FaClipboardQuestion, FaClock, FaClockRotateLeft, FaCloudArrowDown, FaCloudArrowUp, FaCode, FaCommentDots, FaComment, FaComments, FaCompress, FaCopy, FaCube, FaCubes, FaDatabase, FaDoorOpen, FaDownLeftAndUpRightToCenter, FaEllipsisVertical, FaEnvelope, FaEnvelopeOpen, FaExpand, FaEye, FaEyeSlash, FaFileArrowDown, FaFileCode, FaFileCsv, FaFileExcel, FaFileExport, FaFile, FaFileLines, FaFilePdf, FaFilePowerpoint, FaFileWord, FaFilter, FaFloppyDisk, FaFolder, FaFolderPlus, FaFont, FaGauge, FaGears, FaGripLines, FaGripLinesVertical, FaGripVertical, FaHourglassHalf, FaHouse, FaIdBadge, FaIdCard, FaImage, FaInbox, FaIntercom, FaKey, FaLeftLong, FaLeftRight, FaLightbulb, FaLink, FaList, FaListOl, FaListUl, FaLock, FaLockOpen, FaMessage, FaMicrosoft, FaMoneyCheckDollar, FaPaintbrush, FaPaperPlane, FaPaperclip, FaPen, FaPenToSquare, FaPencil, FaPiggyBank, FaPlus, FaPowerOff, FaPrint, FaRegCircleQuestion, FaRegLightbulb, FaReply, FaRightFromBracket, FaRightLeft, FaRightLong, FaRightToBracket, FaRobot, FaRocket, FaRotateLeft, FaShareNodes, FaShieldHalved, FaSliders, FaSort, FaSquareCheck, FaSquareMinus, FaSquarePlus, FaSquarePollVertical, FaSuitcaseMedical, FaTable, FaTableList, FaTableColumns, FaTag, FaTags, FaThumbtack, FaTrash, FaTruck, FaTruckRampBox, FaUpDown, FaUpRightAndDownLeftFromCenter, FaUserCheck, FaUserClock, FaUserPen, FaUserPlus, FaUsers, FaWindowMaximize, FaWindowMinimize, FaWindowRestore, FaYenSign, FaMinus } from './../../vendor/.pnpm/react-icons@5.5.0_react@19.1.0/vendor/react-icons/fa6/index.js';
import { generateIcon } from './generateIcon.js';
export { WarningIcon } from './WarningIcon.js';
export { SparklesIcon } from './SparklesIcon.js';
export { LanguageIcon } from './LanguageIcon.js';

const FaAddressBookIcon = /*#__PURE__*/ generateIcon(FaAddressBook);
const FaAddressCardIcon = /*#__PURE__*/ generateIcon(FaAddressCard);
const FaAngleDownIcon = /*#__PURE__*/ generateIcon(FaAngleDown);
const FaAngleLeftIcon = /*#__PURE__*/ generateIcon(FaAngleLeft);
const FaAngleRightIcon = /*#__PURE__*/ generateIcon(FaAngleRight);
const FaAngleUpIcon = /*#__PURE__*/ generateIcon(FaAngleUp);
const FaAnglesLeftIcon = /*#__PURE__*/ generateIcon(FaAnglesLeft);
const FaAnglesRightIcon = /*#__PURE__*/ generateIcon(FaAnglesRight);
const FaArrowDownIcon = /*#__PURE__*/ generateIcon(FaArrowDown);
const FaArrowDownWideShortIcon = /*#__PURE__*/ generateIcon(FaArrowDownWideShort);
const FaArrowLeftIcon = /*#__PURE__*/ generateIcon(FaArrowLeft);
const FaArrowRightIcon = /*#__PURE__*/ generateIcon(FaArrowRight);
const FaArrowRightArrowLeftIcon = /*#__PURE__*/ generateIcon(FaArrowRightArrowLeft);
const FaArrowRotateLeftIcon = /*#__PURE__*/ generateIcon(FaArrowRotateLeft);
const FaArrowRotateRightIcon = /*#__PURE__*/ generateIcon(FaArrowRotateRight);
const FaArrowUp19Icon = /*#__PURE__*/ generateIcon(FaArrowUp19);
const FaArrowUpIcon = /*#__PURE__*/ generateIcon(FaArrowUp);
const FaArrowUpWideShortIcon = /*#__PURE__*/ generateIcon(FaArrowUpWideShort);
const FaArrowsRotateIcon = /*#__PURE__*/ generateIcon(FaArrowsRotate);
const FaAsteriskIcon = /*#__PURE__*/ generateIcon(FaAsterisk);
const FaBabyCarriageIcon = /*#__PURE__*/ generateIcon(FaBabyCarriage);
const FaBanIcon = /*#__PURE__*/ generateIcon(FaBan);
const FaBarsIcon = /*#__PURE__*/ generateIcon(FaBars);
const FaBarsStaggeredIcon = /*#__PURE__*/ generateIcon(FaBarsStaggered);
const FaBellIcon = /*#__PURE__*/ generateIcon(FaBell);
const FaBellSlashIcon = /*#__PURE__*/ generateIcon(FaBellSlash);
const FaBoltIcon = /*#__PURE__*/ generateIcon(FaBolt);
const FaBookIcon = /*#__PURE__*/ generateIcon(FaBook);
const FaBookOpenIcon = /*#__PURE__*/ generateIcon(FaBookOpen);
const FaBoxArchiveIcon = /*#__PURE__*/ generateIcon(FaBoxArchive);
const FaBuildingIcon = /*#__PURE__*/ generateIcon(FaBuilding);
const FaBullhornIcon = /*#__PURE__*/ generateIcon(FaBullhorn);
const FaCakeCandlesIcon = /*#__PURE__*/ generateIcon(FaCakeCandles);
const FaCalculatorIcon = /*#__PURE__*/ generateIcon(FaCalculator);
const FaCalendarCheckIcon = /*#__PURE__*/ generateIcon(FaCalendarCheck);
const FaCalendarDaysIcon = /*#__PURE__*/ generateIcon(FaCalendarDays);
const FaCalendarXmarkIcon = /*#__PURE__*/ generateIcon(FaCalendarXmark);
const FaCaretDownIcon = /*#__PURE__*/ generateIcon(FaCaretDown);
const FaCaretLeftIcon = /*#__PURE__*/ generateIcon(FaCaretLeft);
const FaCaretRightIcon = /*#__PURE__*/ generateIcon(FaCaretRight);
const FaCaretUpIcon = /*#__PURE__*/ generateIcon(FaCaretUp);
const FaChartAreaIcon = /*#__PURE__*/ generateIcon(FaChartArea);
const FaChartBarIcon = /*#__PURE__*/ generateIcon(FaChartBar);
const FaChartColumnIcon = /*#__PURE__*/ generateIcon(FaChartColumn);
const FaChartLineIcon = /*#__PURE__*/ generateIcon(FaChartLine);
const FaChartPieIcon = /*#__PURE__*/ generateIcon(FaChartPie);
const FaCheckIcon = /*#__PURE__*/ generateIcon(FaCheck);
const FaChevronDownIcon = /*#__PURE__*/ generateIcon(FaChevronDown);
const FaChevronLeftIcon = /*#__PURE__*/ generateIcon(FaChevronLeft);
const FaChevronRightIcon = /*#__PURE__*/ generateIcon(FaChevronRight);
const FaCircleCheckIcon = /*#__PURE__*/ generateIcon(FaCircleCheck);
const FaCircleDotIcon = /*#__PURE__*/ generateIcon(FaCircleDot);
const FaCircleExclamationIcon = /*#__PURE__*/ generateIcon(FaCircleExclamation);
const FaCircleIcon = /*#__PURE__*/ generateIcon(FaCircle);
const FaCircleInfoIcon = /*#__PURE__*/ generateIcon(FaCircleInfo);
const FaCircleMinusIcon = /*#__PURE__*/ generateIcon(FaCircleMinus);
const FaCirclePlusIcon = /*#__PURE__*/ generateIcon(FaCirclePlus);
const FaCircleQuestionIcon = /*#__PURE__*/ generateIcon(FaCircleQuestion);
const FaCircleUserIcon = /*#__PURE__*/ generateIcon(FaCircleUser);
const FaCircleXmarkIcon = /*#__PURE__*/ generateIcon(FaCircleXmark);
const FaClipboardCheckIcon = /*#__PURE__*/ generateIcon(FaClipboardCheck);
const FaClipboardIcon = /*#__PURE__*/ generateIcon(FaClipboard);
const FaClipboardListIcon = /*#__PURE__*/ generateIcon(FaClipboardList);
const FaClipboardQuestionIcon = /*#__PURE__*/ generateIcon(FaClipboardQuestion);
const FaClockIcon = /*#__PURE__*/ generateIcon(FaClock);
const FaClockRotateLeftIcon = /*#__PURE__*/ generateIcon(FaClockRotateLeft);
const FaCloudArrowDownIcon = /*#__PURE__*/ generateIcon(FaCloudArrowDown);
const FaCloudArrowUpIcon = /*#__PURE__*/ generateIcon(FaCloudArrowUp);
const FaCodeIcon = /*#__PURE__*/ generateIcon(FaCode);
const FaCommentDotsIcon = /*#__PURE__*/ generateIcon(FaCommentDots);
const FaCommentIcon = /*#__PURE__*/ generateIcon(FaComment);
const FaCommentsIcon = /*#__PURE__*/ generateIcon(FaComments);
const FaCompressIcon = /*#__PURE__*/ generateIcon(FaCompress);
const FaCopyIcon = /*#__PURE__*/ generateIcon(FaCopy);
const FaCubeIcon = /*#__PURE__*/ generateIcon(FaCube);
const FaCubesIcon = /*#__PURE__*/ generateIcon(FaCubes);
const FaDatabaseIcon = /*#__PURE__*/ generateIcon(FaDatabase);
const FaDoorOpenIcon = /*#__PURE__*/ generateIcon(FaDoorOpen);
const FaDownLeftAndUpRightToCenterIcon = /*#__PURE__*/ generateIcon(FaDownLeftAndUpRightToCenter);
const FaEllipsisIcon = /*#__PURE__*/ generateIcon(FaEllipsis);
const FaEllipsisVerticalIcon = /*#__PURE__*/ generateIcon(FaEllipsisVertical);
const FaEnvelopeIcon = /*#__PURE__*/ generateIcon(FaEnvelope);
const FaEnvelopeOpenIcon = /*#__PURE__*/ generateIcon(FaEnvelopeOpen);
const FaExpandIcon = /*#__PURE__*/ generateIcon(FaExpand);
const FaEyeIcon = /*#__PURE__*/ generateIcon(FaEye);
const FaEyeSlashIcon = /*#__PURE__*/ generateIcon(FaEyeSlash);
const FaFileArrowDownIcon = /*#__PURE__*/ generateIcon(FaFileArrowDown);
const FaFileCodeIcon = /*#__PURE__*/ generateIcon(FaFileCode);
const FaFileCsvIcon = /*#__PURE__*/ generateIcon(FaFileCsv);
const FaFileExcelIcon = /*#__PURE__*/ generateIcon(FaFileExcel);
const FaFileExportIcon = /*#__PURE__*/ generateIcon(FaFileExport);
const FaFileIcon = /*#__PURE__*/ generateIcon(FaFile);
const FaFileLinesIcon = /*#__PURE__*/ generateIcon(FaFileLines);
const FaFilePdfIcon = /*#__PURE__*/ generateIcon(FaFilePdf);
const FaFilePowerpointIcon = /*#__PURE__*/ generateIcon(FaFilePowerpoint);
const FaFileWordIcon = /*#__PURE__*/ generateIcon(FaFileWord);
const FaFilterIcon = /*#__PURE__*/ generateIcon(FaFilter);
const FaFloppyDiskIcon = /*#__PURE__*/ generateIcon(FaFloppyDisk);
const FaFolderIcon = /*#__PURE__*/ generateIcon(FaFolder);
const FaFolderOpenIcon = /*#__PURE__*/ generateIcon(FaFolderOpen);
const FaFolderPlusIcon = /*#__PURE__*/ generateIcon(FaFolderPlus);
const FaFontIcon = /*#__PURE__*/ generateIcon(FaFont);
const FaGaugeIcon = /*#__PURE__*/ generateIcon(FaGauge);
const FaGearIcon = /*#__PURE__*/ generateIcon(FaGear);
const FaGearsIcon = /*#__PURE__*/ generateIcon(FaGears);
const FaGlobeIcon = /*#__PURE__*/ generateIcon(FaGlobe);
const FaGraduationCapIcon = /*#__PURE__*/ generateIcon(FaGraduationCap);
const FaGripIcon = /*#__PURE__*/ generateIcon(FaGrip);
const FaGripLinesIcon = /*#__PURE__*/ generateIcon(FaGripLines);
const FaGripLinesVerticalIcon = /*#__PURE__*/ generateIcon(FaGripLinesVertical);
const FaGripVerticalIcon = /*#__PURE__*/ generateIcon(FaGripVertical);
const FaHourglassHalfIcon = /*#__PURE__*/ generateIcon(FaHourglassHalf);
const FaHouseIcon = /*#__PURE__*/ generateIcon(FaHouse);
const FaIdBadgeIcon = /*#__PURE__*/ generateIcon(FaIdBadge);
const FaIdCardIcon = /*#__PURE__*/ generateIcon(FaIdCard);
const FaImageIcon = /*#__PURE__*/ generateIcon(FaImage);
const FaInboxIcon = /*#__PURE__*/ generateIcon(FaInbox);
const FaIntercomIcon = /*#__PURE__*/ generateIcon(FaIntercom);
const FaKeyIcon = /*#__PURE__*/ generateIcon(FaKey);
const FaLeftLongIcon = /*#__PURE__*/ generateIcon(FaLeftLong);
const FaLeftRightIcon = /*#__PURE__*/ generateIcon(FaLeftRight);
const FaLightbulbIcon = /*#__PURE__*/ generateIcon(FaLightbulb);
const FaLinkIcon = /*#__PURE__*/ generateIcon(FaLink);
const FaListIcon = /*#__PURE__*/ generateIcon(FaList);
const FaListOlIcon = /*#__PURE__*/ generateIcon(FaListOl);
const FaListUlIcon = /*#__PURE__*/ generateIcon(FaListUl);
const FaLockIcon = /*#__PURE__*/ generateIcon(FaLock);
const FaLockOpenIcon = /*#__PURE__*/ generateIcon(FaLockOpen);
const FaMagnifyingGlassIcon = /*#__PURE__*/ generateIcon(FaMagnifyingGlass);
const FaMagnifyingGlassMinusIcon = /*#__PURE__*/ generateIcon(FaMagnifyingGlassMinus);
const FaMagnifyingGlassPlusIcon = /*#__PURE__*/ generateIcon(FaMagnifyingGlassPlus);
const FaMessageIcon = /*#__PURE__*/ generateIcon(FaMessage);
const FaMicrosoftIcon = /*#__PURE__*/ generateIcon(FaMicrosoft);
const FaMinusIcon = /*#__PURE__*/ generateIcon(FaMinus);
const FaMoneyCheckDollarIcon = /*#__PURE__*/ generateIcon(FaMoneyCheckDollar);
const FaPaintbrushIcon = /*#__PURE__*/ generateIcon(FaPaintbrush);
const FaPaperPlaneIcon = /*#__PURE__*/ generateIcon(FaPaperPlane);
const FaPaperclipIcon = /*#__PURE__*/ generateIcon(FaPaperclip);
const FaPenIcon = /*#__PURE__*/ generateIcon(FaPen);
const FaPenToSquareIcon = /*#__PURE__*/ generateIcon(FaPenToSquare);
const FaPencilIcon = /*#__PURE__*/ generateIcon(FaPencil);
const FaPiggyBankIcon = /*#__PURE__*/ generateIcon(FaPiggyBank);
const FaPlusIcon = /*#__PURE__*/ generateIcon(FaPlus);
const FaPowerOffIcon = /*#__PURE__*/ generateIcon(FaPowerOff);
const FaPrintIcon = /*#__PURE__*/ generateIcon(FaPrint);
const FaRegCircleQuestionIcon = /*#__PURE__*/ generateIcon(FaRegCircleQuestion);
const FaRegLightbulbIcon = /*#__PURE__*/ generateIcon(FaRegLightbulb);
const FaReplyIcon = /*#__PURE__*/ generateIcon(FaReply);
const FaRightFromBracketIcon = /*#__PURE__*/ generateIcon(FaRightFromBracket);
const FaRightLeftIcon = /*#__PURE__*/ generateIcon(FaRightLeft);
const FaRightLongIcon = /*#__PURE__*/ generateIcon(FaRightLong);
const FaRightToBracketIcon = /*#__PURE__*/ generateIcon(FaRightToBracket);
const FaRobotIcon = /*#__PURE__*/ generateIcon(FaRobot);
const FaRocketIcon = /*#__PURE__*/ generateIcon(FaRocket);
const FaRotateIcon = /*#__PURE__*/ generateIcon(FaRotate);
const FaRotateLeftIcon = /*#__PURE__*/ generateIcon(FaRotateLeft);
const FaShareNodesIcon = /*#__PURE__*/ generateIcon(FaShareNodes);
const FaShieldHalvedIcon = /*#__PURE__*/ generateIcon(FaShieldHalved);
const FaSlidersIcon = /*#__PURE__*/ generateIcon(FaSliders);
const FaSortDownIcon = /*#__PURE__*/ generateIcon(FaSortDown);
const FaSortIcon = /*#__PURE__*/ generateIcon(FaSort);
const FaSortUpIcon = /*#__PURE__*/ generateIcon(FaSortUp);
const FaSquareCheckIcon = /*#__PURE__*/ generateIcon(FaSquareCheck);
const FaSquareMinusIcon = /*#__PURE__*/ generateIcon(FaSquareMinus);
const FaSquarePlusIcon = /*#__PURE__*/ generateIcon(FaSquarePlus);
const FaSquarePollVerticalIcon = /*#__PURE__*/ generateIcon(FaSquarePollVertical);
const FaStarIcon = /*#__PURE__*/ generateIcon(FaStar);
const FaSuitcaseMedicalIcon = /*#__PURE__*/ generateIcon(FaSuitcaseMedical);
const FaTableIcon = /*#__PURE__*/ generateIcon(FaTable);
const FaTableListIcon = /*#__PURE__*/ generateIcon(FaTableList);
const FaTableColumnsIcon = /*#__PURE__*/ generateIcon(FaTableColumns);
const FaTagIcon = /*#__PURE__*/ generateIcon(FaTag);
const FaTagsIcon = /*#__PURE__*/ generateIcon(FaTags);
const FaThumbtackIcon = /*#__PURE__*/ generateIcon(FaThumbtack);
const FaToolboxIcon = /*#__PURE__*/ generateIcon(FaToolbox);
const FaTrashCanIcon = /*#__PURE__*/ generateIcon(FaTrashCan);
const FaTrashIcon = /*#__PURE__*/ generateIcon(FaTrash);
const FaTriangleExclamationIcon = /*#__PURE__*/ generateIcon(FaTriangleExclamation);
const FaTruckIcon = /*#__PURE__*/ generateIcon(FaTruck);
const FaTruckRampBoxIcon = /*#__PURE__*/ generateIcon(FaTruckRampBox);
const FaUpDownIcon = /*#__PURE__*/ generateIcon(FaUpDown);
const FaUpRightAndDownLeftFromCenterIcon = /*#__PURE__*/ generateIcon(FaUpRightAndDownLeftFromCenter);
const FaUpRightFromSquareIcon = /*#__PURE__*/ generateIcon(FaUpRightFromSquare);
const FaUserCheckIcon = /*#__PURE__*/ generateIcon(FaUserCheck);
const FaUserClockIcon = /*#__PURE__*/ generateIcon(FaUserClock);
const FaUserIcon = /*#__PURE__*/ generateIcon(FaUser);
const FaUserLargeIcon = /*#__PURE__*/ generateIcon(FaUserLarge);
const FaUserPenIcon = /*#__PURE__*/ generateIcon(FaUserPen);
const FaUserPlusIcon = /*#__PURE__*/ generateIcon(FaUserPlus);
const FaUsersIcon = /*#__PURE__*/ generateIcon(FaUsers);
const FaWindowMaximizeIcon = /*#__PURE__*/ generateIcon(FaWindowMaximize);
const FaWindowMinimizeIcon = /*#__PURE__*/ generateIcon(FaWindowMinimize);
const FaWindowRestoreIcon = /*#__PURE__*/ generateIcon(FaWindowRestore);
const FaXmarkIcon = /*#__PURE__*/ generateIcon(FaXmark);
const FaYenSignIcon = /*#__PURE__*/ generateIcon(FaYenSign);

export { FaAddressBookIcon, FaAddressCardIcon, FaAngleDownIcon, FaAngleLeftIcon, FaAngleRightIcon, FaAngleUpIcon, FaAnglesLeftIcon, FaAnglesRightIcon, FaArrowDownIcon, FaArrowDownWideShortIcon, FaArrowLeftIcon, FaArrowRightArrowLeftIcon, FaArrowRightIcon, FaArrowRotateLeftIcon, FaArrowRotateRightIcon, FaArrowUp19Icon, FaArrowUpIcon, FaArrowUpWideShortIcon, FaArrowsRotateIcon, FaAsteriskIcon, FaBabyCarriageIcon, FaBanIcon, FaBarsIcon, FaBarsStaggeredIcon, FaBellIcon, FaBellSlashIcon, FaBoltIcon, FaBookIcon, FaBookOpenIcon, FaBoxArchiveIcon, FaBuildingIcon, FaBullhornIcon, FaCakeCandlesIcon, FaCalculatorIcon, FaCalendarCheckIcon, FaCalendarDaysIcon, FaCalendarXmarkIcon, FaCaretDownIcon, FaCaretLeftIcon, FaCaretRightIcon, FaCaretUpIcon, FaChartAreaIcon, FaChartBarIcon, FaChartColumnIcon, FaChartLineIcon, FaChartPieIcon, FaCheckIcon, FaChevronDownIcon, FaChevronLeftIcon, FaChevronRightIcon, FaCircleCheckIcon, FaCircleDotIcon, FaCircleExclamationIcon, FaCircleIcon, FaCircleInfoIcon, FaCircleMinusIcon, FaCirclePlusIcon, FaCircleQuestionIcon, FaCircleUserIcon, FaCircleXmarkIcon, FaClipboardCheckIcon, FaClipboardIcon, FaClipboardListIcon, FaClipboardQuestionIcon, FaClockIcon, FaClockRotateLeftIcon, FaCloudArrowDownIcon, FaCloudArrowUpIcon, FaCodeIcon, FaCommentDotsIcon, FaCommentIcon, FaCommentsIcon, FaCompressIcon, FaCopyIcon, FaCubeIcon, FaCubesIcon, FaDatabaseIcon, FaDoorOpenIcon, FaDownLeftAndUpRightToCenterIcon, FaEllipsisIcon, FaEllipsisVerticalIcon, FaEnvelopeIcon, FaEnvelopeOpenIcon, FaExpandIcon, FaEyeIcon, FaEyeSlashIcon, FaFileArrowDownIcon, FaFileCodeIcon, FaFileCsvIcon, FaFileExcelIcon, FaFileExportIcon, FaFileIcon, FaFileLinesIcon, FaFilePdfIcon, FaFilePowerpointIcon, FaFileWordIcon, FaFilterIcon, FaFloppyDiskIcon, FaFolderIcon, FaFolderOpenIcon, FaFolderPlusIcon, FaFontIcon, FaGaugeIcon, FaGearIcon, FaGearsIcon, FaGlobeIcon, FaGraduationCapIcon, FaGripIcon, FaGripLinesIcon, FaGripLinesVerticalIcon, FaGripVerticalIcon, FaHourglassHalfIcon, FaHouseIcon, FaIdBadgeIcon, FaIdCardIcon, FaImageIcon, FaInboxIcon, FaIntercomIcon, FaKeyIcon, FaLeftLongIcon, FaLeftRightIcon, FaLightbulbIcon, FaLinkIcon, FaListIcon, FaListOlIcon, FaListUlIcon, FaLockIcon, FaLockOpenIcon, FaMagnifyingGlassIcon, FaMagnifyingGlassMinusIcon, FaMagnifyingGlassPlusIcon, FaMessageIcon, FaMicrosoftIcon, FaMinusIcon, FaMoneyCheckDollarIcon, FaPaintbrushIcon, FaPaperPlaneIcon, FaPaperclipIcon, FaPenIcon, FaPenToSquareIcon, FaPencilIcon, FaPiggyBankIcon, FaPlusIcon, FaPowerOffIcon, FaPrintIcon, FaRegCircleQuestionIcon, FaRegLightbulbIcon, FaReplyIcon, FaRightFromBracketIcon, FaRightLeftIcon, FaRightLongIcon, FaRightToBracketIcon, FaRobotIcon, FaRocketIcon, FaRotateIcon, FaRotateLeftIcon, FaShareNodesIcon, FaShieldHalvedIcon, FaSlidersIcon, FaSortDownIcon, FaSortIcon, FaSortUpIcon, FaSquareCheckIcon, FaSquareMinusIcon, FaSquarePlusIcon, FaSquarePollVerticalIcon, FaStarIcon, FaSuitcaseMedicalIcon, FaTableColumnsIcon, FaTableIcon, FaTableListIcon, FaTagIcon, FaTagsIcon, FaThumbtackIcon, FaToolboxIcon, FaTrashCanIcon, FaTrashIcon, FaTriangleExclamationIcon, FaTruckIcon, FaTruckRampBoxIcon, FaUpDownIcon, FaUpRightAndDownLeftFromCenterIcon, FaUpRightFromSquareIcon, FaUserCheckIcon, FaUserClockIcon, FaUserIcon, FaUserLargeIcon, FaUserPenIcon, FaUserPlusIcon, FaUsersIcon, FaWindowMaximizeIcon, FaWindowMinimizeIcon, FaWindowRestoreIcon, FaXmarkIcon, FaYenSignIcon };
//# sourceMappingURL=Icon.js.map
