import { type ComponentPropsWithRef, type ReactNode } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { type DecoratorsType } from '../../hooks/useDecorators';
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}>, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}>, unknown, unknown, undefined>>;
export type Props = VariantProps<typeof classNameGenerator> & {
    /** フォームのラベル */
    label: ReactNode;
    /** ファイルの選択に変更があったときに発火するコールバック関数 */
    onChange?: (files: File[]) => void;
    /** ファイルリストを表示するかどうか */
    hasFileList?: boolean;
    /** コンポーネント内のテキストを変更する関数 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
    error?: boolean;
    /** ファイル複数選択の際に、選択済みのファイルと結合するかどうか */
    multiplyAppendable?: boolean;
};
type ElementProps = Omit<ComponentPropsWithRef<'input'>, keyof Props>;
type DecoratorKeyTypes = 'destroy';
export declare const InputFile: import("react").ForwardRefExoticComponent<Omit<VariantProps<import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}>, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, import("tailwind-variants").TVReturnType<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    wrapper: string;
    fileList: string[];
    fileItem: string;
    inputWrapper: string[];
    input: string[];
    prefix: string;
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}, {
    size: {
        default: {
            inputWrapper: string;
        };
        s: {
            inputWrapper: string;
        };
    };
    disabled: {
        true: {
            inputWrapper: string;
        };
        false: {
            inputWrapper: string;
        };
    };
}>, unknown, unknown, undefined>>> & {
    /** フォームのラベル */
    label: ReactNode;
    /** ファイルの選択に変更があったときに発火するコールバック関数 */
    onChange?: (files: File[]) => void;
    /** ファイルリストを表示するかどうか */
    hasFileList?: boolean;
    /** コンポーネント内のテキストを変更する関数 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
    error?: boolean;
    /** ファイル複数選択の際に、選択済みのファイルと結合するかどうか */
    multiplyAppendable?: boolean;
} & ElementProps, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
export {};
