import { type ComponentProps, type ReactNode } from 'react';
type Props = {
    /** ローダーの大きさ */
    size?: 's' | 'm';
    /** 代替テキスト */
    alt?: ReactNode;
    /** 表示するメッセージ */
    text?: ReactNode;
    /** コンポーネントの色調 */
    type?: 'primary' | 'light';
};
type ElementProps = Omit<ComponentProps<'span'>, keyof Props>;
export declare const Loader: import("react").NamedExoticComponent<Props & ElementProps>;
export {};
