import { type ComponentPropsWithoutRef, type ElementType, type PropsWithChildren, type ReactNode } from 'react';
type BaseProps<AsElement extends ElementType> = PropsWithChildren<{
    elementAs?: AsElement;
    current?: boolean;
    prefix?: ReactNode;
}>;
type Props<AsElement extends ElementType = 'a'> = BaseProps<AsElement> & Omit<ComponentPropsWithoutRef<AsElement>, keyof BaseProps<AsElement>>;
export declare const SideMenuItem: <AsElement extends ElementType = "a">({ elementAs, current, prefix, href, children, className, ...rest }: Props<AsElement>) => import("react/jsx-runtime").JSX.Element;
export {};
