import { jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { FaCircleQuestionIcon } from '../../Icon/Icon.js';
import '../../Icon/generateIcon.js';
import { TextLink } from '../TextLink.js';

const HelpLink = memo(({ target, ...rest }) => (jsx(TextLink, { ...rest, rel: "help", referrerPolicy: "no-referrer-when-downgrade", target: target, prefix: !target && jsx(FaCircleQuestionIcon, {}) })));

export { HelpLink };
//# sourceMappingURL=HelpLink.js.map
