"use client";
import { jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import '../../intl/IntlProvider.js';
import { useIntl } from '../../intl/useIntl.js';
import 'react-intl';
import { FaUpRightFromSquareIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';

const OpenInNewTabIcon = memo(() => {
    const { localize } = useIntl();
    return (jsx(FaUpRightFromSquareIcon, { alt: localize({ id: 'smarthr-ui/TextLink/openInNewTab', defaultText: '別タブで開く' }) }));
});

export { OpenInNewTabIcon };
//# sourceMappingURL=OpenInNewTabIcon.js.map
