import { type ComponentProps, type ReactElement } from 'react';
import type { TimelineItem } from './TimelineItem';
type TimelineItem = ReactElement<ComponentProps<typeof TimelineItem>>;
type Props = {
    children: TimelineItem | TimelineItem[];
};
type ElementProps = Omit<ComponentProps<'ol'>, keyof Props>;
export declare const Timeline: React.FC<Props & ElementProps>;
export {};
