import { jsx } from 'react/jsx-runtime';
import { DatePicker } from '../DatePicker/DatePicker.js';

const handleShowWareki = (date) => date?.toLocaleDateString('ja-JP-u-ca-japanese', {
    dateStyle: 'long',
});
const WarekiPicker = (props) => (jsx(DatePicker, { ...props, showAlternative: handleShowWareki }));

export { WarekiPicker };
//# sourceMappingURL=WarekiPicker.js.map
