import { jsx } from 'react/jsx-runtime';
import { useIntl } from './useIntl.js';

const DateFormatter = ({ date }) => {
    const { formatDate } = useIntl();
    return jsx("time", { dateTime: date.toISOString(), children: formatDate(date) });
};

export { DateFormatter };
//# sourceMappingURL=DateFormatter.js.map
