"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext } from 'react';
import { createTheme } from './createTheme.js';

const ThemeContext = createContext(createTheme());
const { Provider } = ThemeContext;
const ThemeProvider = ({ theme, children }) => (jsx(Provider, { value: theme, children: children }));

export { ThemeContext, ThemeProvider };
//# sourceMappingURL=ThemeProvider.js.map
