import { merge } from '../libs/lodash.js';

const defaultBreakpoint = { SP: 599, TABLET: 959 };
const createBreakpoint = (userBreakpoint) => {
    if (!userBreakpoint) {
        return defaultBreakpoint;
    }
    return merge({ ...defaultBreakpoint }, userBreakpoint);
};

export { createBreakpoint, defaultBreakpoint };
//# sourceMappingURL=createBreakpoint.js.map
