import { merge } from '../libs/lodash.js';

const defaultRadius = {
    s: '4px',
    m: '6px',
    l: '8px',
    full: '10000px',
};
const createRadius = (userRadius) => {
    if (!userRadius) {
        return defaultRadius;
    }
    return merge({ ...defaultRadius }, userRadius);
};

export { createRadius, defaultRadius };
//# sourceMappingURL=createRadius.js.map
