"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccordionPanelItem = exports.AccordionPanelItemContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const SectioningContent_1 = require("../SectioningContent");
exports.AccordionPanelItemContext = (0, react_1.createContext)({
    name: '',
});
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: ['smarthr-ui-AccordionPanel-item', '[&_+_&]:shr-border-t-shorthand'],
});
const AccordionPanelItem = ({ name, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsx)(exports.AccordionPanelItemContext.Provider, { value: {
            name,
        }, children: (0, jsx_runtime_1.jsx)(SectioningContent_1.Section, { ...props, className: actualClassName }) }));
};
exports.AccordionPanelItem = AccordionPanelItem;
//# sourceMappingURL=AccordionPanelItem.js.map