import { type FC } from 'react';
import type { HeaderProps, UserInfoProps } from '../../types';
type Props = UserInfoProps & Pick<HeaderProps, 'desktopAdditionalContent' | 'tenants' | 'currentTenantId'>;
export declare const UserInfo: FC<Props>;
export declare const ActualUserInfo: FC<Omit<Props, 'arbitraryDisplayName'> & {
    displayName: string;
}>;
export {};
