"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuSubHeading = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Button_1 = require("../../../Button");
const Heading_1 = require("../../../Heading");
const Icon_1 = require("../../../Icon");
const useTranslate_1 = require("../../hooks/useTranslate");
const Translate_1 = require("../common/Translate");
exports.MenuSubHeading = (0, react_1.memo)(({ title, onClickBack }) => {
    const translate = (0, useTranslate_1.useTranslate)();
    const backButtonAriaLabel = (0, react_1.useMemo)(() => translate('MobileHeader/MenuSubHeading/back'), [translate]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Button_1.Button, { size: "s", onClick: onClickBack, children: (0, jsx_runtime_1.jsx)(Icon_1.FaArrowLeftIcon, { alt: backButtonAriaLabel }) }), (0, jsx_runtime_1.jsx)(Heading_1.Heading, { type: "blockTitle", children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: title }) })] }));
});
//# sourceMappingURL=MenuSubHeading.js.map