"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLocale = exports.LocaleContextProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const LocaleContext = (0, react_1.createContext)({
    locale: null,
});
const LocaleContextProvider = ({ locale, children }) => ((0, jsx_runtime_1.jsx)(LocaleContext.Provider, { value: { locale }, children: children }));
exports.LocaleContextProvider = LocaleContextProvider;
const useLocale = () => (0, react_1.useContext)(LocaleContext);
exports.useLocale = useLocale;
//# sourceMappingURL=useLocale.js.map