"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTranslate = void 0;
const react_1 = require("react");
const multilingualization_1 = require("../multilingualization");
const useLocale_1 = require("./useLocale");
const useTranslate = () => {
    const { locale } = (0, useLocale_1.useLocale)();
    return (0, react_1.useCallback)((id) => (0, multilingualization_1.translate)(id, locale?.selectedLocale), [locale?.selectedLocale]);
};
exports.useTranslate = useTranslate;
//# sourceMappingURL=useTranslate.js.map