import { type ComponentPropsWithoutRef, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
type BaseProps = PropsWithChildren<{
    /** 件数 */
    count?: number;
    /** 最大表示件数。この数を超えた場合は{最大表示件数+}と表示される */
    overflowCount?: number;
    /** 0値を表示するかどうか */
    showZero?: boolean;
    /** 色の種類 */
    type?: VariantProps<typeof classNameGenerator>['color'];
    /** ドット表示するかどうか */
    dot?: boolean;
}>;
type BadgeProps = Omit<ComponentPropsWithoutRef<'span'>, keyof BaseProps> & BaseProps;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}, {
    wrapper: string;
    pill: string[];
    dotElement: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}, {
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}>, {
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}, {
    wrapper: string;
    pill: string[];
    dotElement: string[];
}, import("tailwind-variants").TVReturnType<{
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}, {
    wrapper: string;
    pill: string[];
    dotElement: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}, {
    color: {
        grey: {};
        blue: {};
        yellow: {};
        red: {};
    };
    withChildren: {
        true: {};
    };
}>, unknown, unknown, undefined>>;
export declare const Badge: import("react").NamedExoticComponent<BadgeProps>;
export {};
