import { type ChangeEvent, type FC } from 'react';
import type { ItemNode } from './models';
type Props = {
    selected: boolean;
    itemValue: ItemNode['value'];
    itemLabel: ItemNode['label'];
    itemHasChildren: boolean;
    tabIndex: 0 | -1;
    columnIndex: number;
    onChangeInput?: (e: ChangeEvent<HTMLInputElement>) => void;
};
export declare const BrowserItem: FC<Props>;
export {};
