import type { ComboboxOption } from './types';
export declare function useActiveOption<T>({ options }: {
    options: Array<ComboboxOption<T>>;
}): {
    activeOption: ComboboxOption<T> | null;
    setActiveOption: import("react").Dispatch<import("react").SetStateAction<ComboboxOption<T> | null>>;
    moveActiveOptionIndex: (currentActive: ComboboxOption<T> | null, delta: -1 | 1) => void;
};
