"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefinitionList = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Layout_1 = require("../Layout");
const DefinitionListItem_1 = require("./DefinitionListItem");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-DefinitionList shr-my-[initial]',
});
const DefinitionList = ({ items, maxColumns, termStyleType, children, className, }) => {
    const actualClassName = (0, react_2.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { as: "dl", gap: 1.5, className: actualClassName, children: [items &&
                items.map((item, index) => ((0, react_1.createElement)(DefinitionListItem_1.DefinitionListItem, { ...item, key: index, maxColumns: maxColumns, termStyleType: termStyleType }))), react_2.Children.map(children, (child) => (0, react_2.isValidElement)(child) &&
                (0, react_2.cloneElement)(child, {
                    maxColumns,
                    termStyleType,
                }))] }));
};
exports.DefinitionList = DefinitionList;
//# sourceMappingURL=DefinitionList.js.map