import { type ComponentPropsWithoutRef, type FC, type PropsWithChildren, type ReactNode } from 'react';
type Props = PropsWithChildren<{
    term: ReactNode;
    termStyleType?: 'blockTitle' | 'subBlockTitle' | 'subSubBlockTitle';
    /** @deprecated DefinitionList で items を使う時の props です。children を使ってください。 */
    description?: ReactNode;
    fullWidth?: boolean;
    maxColumns?: number;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof Props>;
export declare const DefinitionListItem: FC<Props & ElementProps>;
export {};
