import { type ComponentProps, type FC, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
import type { Gap } from '../../types';
export type Props = PropsWithChildren<Pick<VariantProps<typeof classNameGenerator>, 'contentBgColor'> & {
    contentPadding?: Gap | {
        block?: Gap;
        inline?: Gap;
    };
    className?: string | undefined;
} & Pick<ComponentProps<'div'>, 'ref'>>;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}>, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    contentBgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}>, unknown, unknown, undefined>>;
export declare const DialogBody: FC<Props>;
export {};
