import { type ComponentProps, type FC } from 'react';
import { type FormDialogContentInnerProps } from './FormDialogContentInner';
import type { DialogProps } from '../types';
type Props = Omit<FormDialogContentInnerProps, 'titleId'> & DialogProps;
type ElementProps = Omit<ComponentProps<'div'>, keyof Props>;
export declare const FormDialog: FC<Props & ElementProps>;
export {};
