"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteTriggerActionDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ActionDialog_1 = require("../ActionDialog");
const useRemoteTrigger_1 = require("../useRemoteTrigger");
const RemoteTriggerActionDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = (0, useRemoteTrigger_1.useRemoteTrigger)({ id, onClickClose, onPressEscape, onToggle, onOpen, onClose });
    return ((0, jsx_runtime_1.jsx)(ActionDialog_1.ActionDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};
exports.RemoteTriggerActionDialog = RemoteTriggerActionDialog;
//# sourceMappingURL=RemoteTriggerActionDialog.js.map