"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteTriggerFormDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const FormDialog_1 = require("../FormDialog");
const useRemoteTrigger_1 = require("../useRemoteTrigger");
const RemoteTriggerFormDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = (0, useRemoteTrigger_1.useRemoteTrigger)({
        id,
        onClickClose,
        onPressEscape,
        onToggle,
        onOpen,
        onClose,
    });
    return ((0, jsx_runtime_1.jsx)(FormDialog_1.FormDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};
exports.RemoteTriggerFormDialog = RemoteTriggerFormDialog;
//# sourceMappingURL=RemoteTriggerFormDialog.js.map