"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteTriggerStepFormDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const StepFormDialog_1 = require("../StepFormDialog");
const useRemoteTrigger_1 = require("../useRemoteTrigger");
const RemoteTriggerStepFormDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = (0, useRemoteTrigger_1.useRemoteTrigger)({
        id,
        onClickClose,
        onPressEscape,
        onToggle,
        onOpen,
        onClose,
    });
    return ((0, jsx_runtime_1.jsx)(StepFormDialog_1.StepFormDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};
exports.RemoteTriggerStepFormDialog = RemoteTriggerStepFormDialog;
//# sourceMappingURL=RemoteTriggerStepFormDialog.js.map