"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepFormDialogProvider = exports.StepFormDialogContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.StepFormDialogContext = (0, react_1.createContext)({
    stepQueue: { current: [] },
    currentStep: { id: '', stepNumber: 0 },
    setCurrentStep: () => { },
    scrollerRef: { current: null },
});
const StepFormDialogProvider = ({ children, firstStep }) => {
    const [currentStep, setCurrentStep] = (0, react_1.useState)(firstStep);
    const stepQueue = (0, react_1.useRef)([]);
    const scrollerRef = (0, react_1.useRef)(null);
    return ((0, jsx_runtime_1.jsx)(exports.StepFormDialogContext.Provider, { value: { currentStep, stepQueue, setCurrentStep, scrollerRef }, children: children }));
};
exports.StepFormDialogProvider = StepFormDialogProvider;
//# sourceMappingURL=StepFormDialogProvider.js.map