"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownContent = exports.DropdownContentContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Dropdown_1 = require("./Dropdown");
const DropdownContentInner_1 = require("./DropdownContentInner");
exports.DropdownContentContext = (0, react_1.createContext)({
    onClickCloser: () => {
        /* noop */
    },
    controllable: false,
});
const DropdownContent = ({ controllable = false, ...props }) => {
    const { DropdownContentRoot, triggerRect, onClickCloser } = (0, react_1.useContext)(Dropdown_1.DropdownContext);
    return ((0, jsx_runtime_1.jsx)(DropdownContentRoot, { children: (0, jsx_runtime_1.jsx)(exports.DropdownContentContext.Provider, { value: { onClickCloser, controllable }, children: (0, jsx_runtime_1.jsx)(DropdownContentInner_1.DropdownContentInner, { ...props, triggerRect: triggerRect, controllable: controllable }) }) }));
};
exports.DropdownContent = DropdownContent;
//# sourceMappingURL=DropdownContent.js.map