import { type ComponentPropsWithoutRef, type FC, type PropsWithChildren } from 'react';
import { Base } from '../Base';
type Props = PropsWithChildren<Pick<ComponentPropsWithoutRef<typeof Base>, 'radius' | 'layer' | 'className'>> & {
    /**
     * @default ul
     */
    elementAs?: 'ul' | 'ol';
};
export declare const SideMenu: FC<Props>;
export {};
