import { type ComponentPropsWithoutRef, type ElementType, type PropsWithChildren, type ReactNode } from 'react';
type Props<TitleElement extends ElementType> = PropsWithChildren<{
    title: ReactNode;
    titleElementAs?: TitleElement;
    /**
     * @default ul
     */
    listElementAs?: 'ul' | 'ol';
}> & ComponentPropsWithoutRef<TitleElement>;
export declare const SideMenuGroup: <TitleElement extends ElementType = "span">({ title, titleElementAs, listElementAs, children, className, }: Props<TitleElement>) => import("react/jsx-runtime").JSX.Element;
export {};
