import { type ComponentPropsWithoutRef, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
import type { CellContentWidth } from './type';
export type Props = PropsWithChildren<VariantProps<typeof classNameGenerator> & {
    /** 横スクロール時、カラムを左右いずれかに固定 */
    fixed?: 'left' | 'right';
    contentWidth?: CellContentWidth | {
        base?: CellContentWidth;
        min?: CellContentWidth;
        max?: CellContentWidth;
    };
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'td'>, keyof Props>;
export declare const Td: import("react").NamedExoticComponent<VariantProps<import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}>, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}>, unknown, unknown, undefined>>> & {
    /** 横スクロール時、カラムを左右いずれかに固定 */
    fixed?: "left" | "right";
    contentWidth?: CellContentWidth | {
        base?: CellContentWidth;
        min?: CellContentWidth;
        max?: CellContentWidth;
    };
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps>;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}>, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
    };
    nullable: {
        true: string;
    };
}>, unknown, unknown, undefined>>;
export {};
