import { type ComponentProps, type PropsWithChildren } from 'react';
import { RadioButton } from '../RadioButton';
import { Td } from './Td';
type Props = PropsWithChildren<{
    /** 値を特定するための行 id */
    'aria-labelledby': string;
}> & ComponentProps<typeof RadioButton> & Pick<ComponentProps<typeof Td>, 'vAlign'>;
export declare const TdRadioButton: import("react").ForwardRefExoticComponent<Omit<Props, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
export {};
