export declare const defaultHtmlFontSize = 16;
export type FontSizeProperty = {
    scaleFactor?: number;
    XXS?: string;
    XS?: string;
    S?: string;
    M?: string;
    L?: string;
    XL?: string;
    XXL?: string;
};
export type CreatedFontSizeTheme = {
    XXS: string;
    XS: string;
    S: string;
    M: string;
    L: string;
    XL: string;
    XXL: string;
};
export type FontSizes = 'XXS' | 'XS' | 'S' | 'M' | 'L' | 'XL' | 'XXL';
export declare const defaultFontSize: CreatedFontSizeTheme;
export declare const createFontSize: (userFontSize?: FontSizeProperty) => CreatedFontSizeTheme;
