import { type ComponentType, type FC, type PropsWithChildren, type ReactNode } from 'react';
import { type ComponentProps as IconProps } from '../Icon';
export type AppNaviDropdownProps = PropsWithChildren<{
    /** ドロップダウンのコンテンツ */
    dropdownContent: ReactNode;
    /** 表示するアイコンタイプ */
    icon?: ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
    displayCaret?: boolean;
}>;
export declare const AppNaviDropdown: FC<AppNaviDropdownProps>;
