import { type FC } from 'react';
import { type DecoratorsType } from '../../hooks/useDecorators';
import { type ItemNodeLike } from './models';
type Props = {
    /** 表示する item の配列 */
    items: ItemNodeLike[];
    /** 選択中の item の値 */
    value?: string;
    /** 選択された際に呼び出されるコールバック。第一引数に item の value を取る。 */
    onSelectItem?: (value: string) => void;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
type DecoratorKeyTypes = 'notFoundTitle' | 'notFoundDescription';
export declare const Browser: FC<Props>;
export {};
