import type { Node } from './Node';
export declare class NodeContext<T extends Node = Node, TChild extends Node = Node> {
    #private;
    readonly node: T;
    constructor(node: T, parent?: NodeContext, children?: Array<NodeContext<TChild>>);
    get children(): Array<NodeContext<TChild>>;
    get parent(): NodeContext | undefined;
    append(that: NodeContext<TChild>): void;
}
