class NodeContext {
    #parent;
    node;
    #children;
    constructor(node, parent, children = []) {
        this.node = node;
        this.#parent = parent;
        this.#children = children;
    }
    get children() {
        return [...this.#children];
    }
    get parent() {
        return this.#parent;
    }
    append(that) {
        this.#children.push(that);
        that.#parent = this;
    }
}

export { NodeContext };
//# sourceMappingURL=NodeContext.js.map
