import { type RefObject } from 'react';
import type { ComboboxOption } from './types';
type Props<T> = {
    option: ComboboxOption<T>;
    onAdd?: (option: ComboboxOption<T>) => void;
    onSelect: (option: ComboboxOption<T>) => void;
    onMouseOver: (option: ComboboxOption<T>) => void;
    activeRef: RefObject<HTMLButtonElement> | undefined;
};
declare const Memoized: <T>({ option, onAdd, onSelect, onMouseOver, activeRef }: Props<T>) => import("react/jsx-runtime").JSX.Element;
export { Memoized as ItemButton };
