"use client";
import { jsx } from 'react/jsx-runtime';
import { DialogContentInner } from './DialogContentInner.js';
import { useDialogPortal } from './useDialogPortal.js';

const Dialog = ({ className, portalParent, id, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    return createPortal(jsx(DialogContentInner, { ...props, className: className }));
};

export { Dialog };
//# sourceMappingURL=Dialog.js.map
