"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import { DialogContentContext } from './DialogContent.js';

const DialogCloser = (props) => {
    const { onClickClose } = useContext(DialogContentContext);
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    return jsx("div", { ...props, onClick: onClickClose, role: "presentation", className: "shr-inline-block" });
};

export { DialogCloser };
//# sourceMappingURL=DialogCloser.js.map
