"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext } from 'react';
import { DialogContext } from './DialogWrapper.js';

const DialogTrigger = (props) => {
    const { onClickTrigger } = useContext(DialogContext);
    return (
    // eslint-disable-next-line jsx-a11y/no-static-element-interactions,jsx-a11y/click-events-have-key-events,smarthr/a11y-delegate-element-has-role-presentation
    jsx("div", { ...props, onClick: onClickTrigger, "aria-haspopup": "dialog", className: "shr-inline-block" }));
};

export { DialogTrigger };
//# sourceMappingURL=DialogTrigger.js.map
