"use client";
import { jsx } from 'react/jsx-runtime';
import { ActionDialog } from '../ActionDialog/ActionDialog.js';
import { useRemoteTrigger } from '../useRemoteTrigger.js';

const RemoteTriggerActionDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = useRemoteTrigger({ id, onClickClose, onPressEscape, onToggle, onOpen, onClose });
    return (jsx(ActionDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};

export { RemoteTriggerActionDialog };
//# sourceMappingURL=RemoteTriggerActionDialog.js.map
