"use client";
import { jsx } from 'react/jsx-runtime';
import { MessageDialog } from '../MessageDialog/MessageDialog.js';
import 'react';
import '../DialogContentInner.js';
import '../DialogWrapper.js';
import 'react-dom';
import '../MessageDialog/MessageDialogContentInner.js';
import { useRemoteTrigger } from '../useRemoteTrigger.js';

const RemoteTriggerMessageDialog = ({ id, onClickClose, onToggle, onOpen, onClose, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose } = useRemoteTrigger({
        id,
        onClickClose,
        onToggle,
        onOpen,
        onClose,
    });
    return jsx(MessageDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose });
};

export { RemoteTriggerMessageDialog };
//# sourceMappingURL=RemoteTriggerMessageDialog.js.map
