"use client";
import { jsx } from 'react/jsx-runtime';
import { StepFormDialog } from '../StepFormDialog/StepFormDialog.js';
import 'react';
import '../StepFormDialog/StepFormDialogProvider.js';
import { useRemoteTrigger } from '../useRemoteTrigger.js';

const RemoteTriggerStepFormDialog = ({ id, onClickClose, onToggle, onOpen, onClose, onPressEscape, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, } = useRemoteTrigger({
        id,
        onClickClose,
        onPressEscape,
        onToggle,
        onOpen,
        onClose,
    });
    return (jsx(StepFormDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape }));
};

export { RemoteTriggerStepFormDialog };
//# sourceMappingURL=RemoteTriggerStepFormDialog.js.map
