"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { DropdownContentContext } from './DropdownContent.js';
import { DropdownContentInnerContext } from './DropdownContentInner.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-Dropdown-closer',
    variants: {
        controllable: {
            false: 'shr-flex shr-flex-col',
        },
    },
});
const DropdownCloser = ({ children, className }) => {
    const { onClickCloser, controllable } = useContext(DropdownContentContext);
    const { maxHeight } = useContext(DropdownContentInnerContext);
    const actualClassName = useMemo(() => classNameGenerator({ controllable, className }), [controllable, className]);
    const style = useMemo(() => ({
        maxHeight: controllable ? undefined : maxHeight,
    }), [maxHeight, controllable]);
    return (
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    jsx("div", { role: "presentation", onClick: onClickCloser, className: actualClassName, style: style, children: children }));
};

export { DropdownCloser };
//# sourceMappingURL=DropdownCloser.js.map
