import { type ElementType } from 'react';
import { type VariantProps } from 'tailwind-variants';
import type { Gap, SeparateGap } from '../../../types';
export declare const clusterClassNameGenerator: import("tailwind-variants").TVReturnType<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, "shr-flex-wrap [&:empty]:shr-gap-0", import("tailwind-variants/dist/config.js").TVConfig<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}>, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, "shr-flex-wrap [&:empty]:shr-gap-0", import("tailwind-variants/dist/config.js").TVConfig<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}>, unknown, unknown, undefined>>;
export declare const Cluster: <T extends ElementType = "div">(props: Omit<VariantProps<import("tailwind-variants").TVReturnType<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, "shr-flex-wrap [&:empty]:shr-gap-0", import("tailwind-variants/dist/config.js").TVConfig<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}>, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, undefined, "shr-flex-wrap [&:empty]:shr-gap-0", import("tailwind-variants/dist/config.js").TVConfig<{
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}, {
    inline: {
        true: string;
        false: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    justify: {
        normal: string;
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        'space-between': string;
        'space-around': string;
        'space-evenly': string;
        stretch: string;
    };
}>, unknown, unknown, undefined>>>, "rowGap" | "columnGap"> & {
    as?: T | undefined;
    gap?: Gap | SeparateGap;
} & {
    children?: import("react").ReactNode | undefined;
} & import("react").PropsWithoutRef<import("react").ComponentProps<T>> & import("react").RefAttributes<HTMLDivElement>) => import("react").ReactNode;
