import { type ComponentPropsWithoutRef } from 'react';
import { type DecoratorsType } from '../../hooks/useDecorators';
type Props = {
    start: number;
    end: number;
    total?: number;
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof Props>;
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly rangeSeparator: "–";
    readonly rangeSeparatorVisuallyHiddenText: "から";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
export declare const PageCounter: import("react").NamedExoticComponent<Props & ElementProps>;
export {};
