import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Base } from '../Base/Base.js';
import '../Base/BaseColumn/BaseColumn.js';
import { Heading } from '../Heading/Heading.js';
import { Nav } from '../SectioningContent/SectioningContent.js';
import '../SectioningContent/levelContext.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-SideMenu shr-list-none shr-py-0.5',
});
const SideMenu = ({ elementAs = 'ul', className, ...rest }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsxs(Nav, { children: [jsx(Heading, { visuallyHidden: true, children: "\u30B5\u30A4\u30C9\u30E1\u30CB\u30E5\u30FC" }), jsx(Base, { ...rest, as: elementAs, className: actualClassName })] }));
};

export { SideMenu };
//# sourceMappingURL=SideMenu.js.map
