"use client";
import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useTableHeadCellCount } from './useTableHeadCellCount.js';

const classNameGenerator = ce({
    slots: {
        wrapper: 'smarthr-ui-BulkActionRow',
        cell: [
            'shr-bg-action-background shr-p-1 shr-text-base',
            'forced-colors:shr-border-t-shorthand',
        ],
    },
});
const BulkActionRow = ({ children, className, ...props }) => {
    const { countHeadCellRef, count } = useTableHeadCellCount();
    const classNames = useMemo(() => {
        const { wrapper, cell } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            cell: cell(),
        };
    }, [className]);
    return (jsx("tr", { ...props, ref: countHeadCellRef, className: classNames.wrapper, children: jsx("td", { colSpan: count, className: classNames.cell, children: children }) }));
};

export { BulkActionRow };
//# sourceMappingURL=BulkActionRow.js.map
