import { type PropsWithChildren, type ReactNode } from 'react';
import { type VariantProps } from 'tailwind-variants';
declare const sortButtonClassNameGenerator: import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
}, undefined, "-shr-mx-1 -shr-my-0.75 shr-inline-flex shr-w-full shr-items-center shr-justify-between shr-gap-x-0.5 shr-px-1 shr-py-0.75 shr-font-bold", import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
}>, {
    align: {
        left: string;
        right: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
}, undefined, "-shr-mx-1 -shr-my-0.75 shr-inline-flex shr-w-full shr-items-center shr-justify-between shr-gap-x-0.5 shr-px-1 shr-py-0.75 shr-font-bold", import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
}>, unknown, unknown, undefined>>;
type sortTypes = 'asc' | 'desc' | 'none';
type Props = PropsWithChildren<{
    align?: VariantProps<typeof sortButtonClassNameGenerator>['align'];
    onSort?: () => void;
    sort?: sortTypes;
    decorators?: {
        sortDirectionIconAlt: (text: string, { sort }: {
            sort: sortTypes;
        }) => ReactNode;
    };
}>;
export declare const ThSortButton: import("react").NamedExoticComponent<Props>;
export {};
