import { jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { TextLink } from '../TextLink.js';
import '../HelpLink/HelpLink.js';
import { FaArrowLeftIcon } from '../../Icon/Icon.js';
import '../../Icon/generateIcon.js';

const classNameGenerator = ce({
    base: 'shr-leading-none',
    variants: {
        indent: {
            true: '-shr-translate-x-1.25',
            false: '',
        },
    },
});
const UpwardLink = memo(({ indent, className, ...rest }) => {
    const actualClassName = useMemo(() => classNameGenerator({ indent: indent ?? true, className }), [indent, className]);
    return (jsx("div", { className: actualClassName, children: jsx(TextLink, { ...rest, prefix: jsx(FaArrowLeftIcon, {}) }) }));
});

export { UpwardLink };
//# sourceMappingURL=UpwardLink.js.map
