import { type ReactNode } from 'react';
export type ResponseStatusWithoutProcessing = {
    status: 'success' | 'error';
    text: ReactNode;
};
export type ResponseStatus = ResponseStatusWithoutProcessing | {
    status: 'processing';
};
export declare const useResponseStatus: (responseStatus: ResponseStatus | undefined) => {
    isProcessing: boolean;
    status: undefined;
    message: string;
} | {
    isProcessing: boolean;
    status: "success" | "error";
    message: ReactNode;
};
