import { type FlattenSimpleInterpolation } from 'styled-components';
import { type ColorProperty } from '../createColor';
export type ShadowProperty = {
    LAYER0?: string;
    LAYER1?: string;
    LAYER2?: string;
    LAYER3?: string;
    LAYER4?: string;
    OUTLINE?: string;
    OUTLINE_MARGIN?: string;
    UNDERLINE?: string;
};
export type CreatedShadowTheme = {
    LAYER0?: string;
    LAYER1?: string;
    LAYER2?: string;
    LAYER3?: string;
    LAYER4?: string;
    OUTLINE: string;
    OUTLINE_MARGIN: string;
    UNDERLINE: string;
    focusIndicatorStyles: FlattenSimpleInterpolation;
};
export declare const createShadow: (userShadow?: ShadowProperty, userColor?: ColorProperty) => CreatedShadowTheme;
