import { merge } from '../libs/lodash.js';

const defaultZIndex = {
    AUTO: 'auto',
    DEFAULT: 0,
    FIXED_MENU: 100,
    OVERLAP_BASE: 10000,
    OVERLAP: 10500,
};
const createZIndex = (userZIndex) => {
    if (!userZIndex) {
        return defaultZIndex;
    }
    return merge({
        ...defaultZIndex,
    }, userZIndex);
};

export { createZIndex, defaultZIndex };
//# sourceMappingURL=createZIndex.js.map
