export declare const colors: {
    black: string;
    white: string;
    'white-darken': string;
    main: string;
    'main-darken': string;
    link: string;
    brand: string;
    outline: string;
    danger: string;
    'danger-darken': string;
    'warning-yellow': string;
    'warning-yellow-darken': string;
    green: string;
    orange: string;
    grey: {
        DEFAULT: string;
        5: string;
        6: string;
        7: string;
        9: string;
        20: string;
        30: string;
        65: string;
        100: string;
    };
    transparency: {
        15: string;
        30: string;
        50: string;
    };
    inherit: string;
    transparent: string;
    current: string;
}, textColor: {
    main: any;
    black: any;
    white: any;
    'white-darken': any;
    disabled: any;
    link: any;
    'link-darken': string;
    grey: any;
    danger: any;
    green: any;
    'color-inherit': string;
    transparent: string;
}, fontSize: {
    '2xs': string;
    xs: string;
    sm: string;
    base: string;
    lg: string;
    xl: string;
    '2xl': string;
    inherit: string;
}, backgroundColor: {
    black: string;
    white: string;
    'white-darken': any;
    background: string;
    border: any;
    brand: any;
    column: string;
    'column-darken': string;
    'base-grey': string;
    'over-background': string;
    head: string;
    'head-darken': string;
    'action-background': string;
    main: string;
    'main-darken': any;
    danger: string;
    'danger-darken': any;
    'warning-yellow': string;
    'warning-yellow-darken': any;
    overlay: string;
    scrim: string;
    green: any;
    grey: {
        9: any;
        '9-darken': string;
    };
    inherit: string;
    transparent: string;
}, lineHeight: {
    none: string;
    tight: string;
    normal: string;
    loose: string;
}, boxShadow: {
    'layer-0': string;
    'layer-1': string;
    'layer-2': string;
    'layer-3': string;
    'layer-4': string;
    outline: string;
    underline: string;
    'input-hover': string;
    none: string;
}, spacing: {
    0: string;
    1: string;
    2: string;
    3: string;
    4: string;
    8: string;
    [-1]: string;
    0.5: string;
    [-2]: string;
    [-3]: string;
    0.25: string;
    0.75: string;
    1.25: string;
    1.5: string;
    2.5: string;
    3.5: string;
    [-0.25]: string;
    [-0.5]: string;
    [-0.75]: string;
    [-1.25]: string;
    [-1.5]: string;
    [-2.5]: string;
    [-3.5]: string;
    [-4]: string;
    [-8]: string;
    px: string;
    em: string;
};
