import { type ComponentPropsWithoutRef, type FC, type PropsWithChildren } from 'react';
import { type HeadingTagTypes } from '../Heading';
import type { TextProps } from '../Text';
type Props = PropsWithChildren<{
    /** ヘッダ部分のテキストのスタイル */
    headingType?: TextProps['styleType'];
    /**
     * @deprecated headingTag属性は非推奨です
     */
    headingTag?: HeadingTagTypes;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'button'>, keyof Props>;
export declare const AccordionPanelTrigger: FC<Props & ElementProps>;
export {};
