"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isChildNavigationGroup = exports.isChildNavigation = exports.buildDisplayName = void 0;
const buildDisplayName = ({ email, empCode, firstName, lastName, }) => {
    if (firstName && lastName) {
        return `${lastName} ${firstName}${empCode ? `（${empCode}）` : ''}`;
    }
    return empCode || email || '';
};
exports.buildDisplayName = buildDisplayName;
const isChildNavigation = (navigation) => 'href' in navigation || 'elementAs' in navigation || 'onClick' in navigation;
exports.isChildNavigation = isChildNavigation;
const isChildNavigationGroup = (navigation) => navigation &&
    'childNavigations' in navigation &&
    'title' in navigation &&
    !('elementAs' in navigation);
exports.isChildNavigationGroup = isChildNavigationGroup;
//# sourceMappingURL=utils.js.map