import { type ComponentProps, type FC } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { Base } from '../Base';
type BaseProps = Omit<ComponentProps<typeof Base>, 'radius' | 'layer'>;
type Props = VariantProps<typeof classNameGenerator>;
type ElementProps = Omit<ComponentProps<'div'>, keyof BaseProps | keyof Props>;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, undefined, "shr-rounded-[unset]", import("tailwind-variants/dist/config").TVConfig<{
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, {
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}>, {
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, undefined, "shr-rounded-[unset]", import("tailwind-variants/dist/config").TVConfig<{
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}, {
    bgColor: {
        BACKGROUND: string;
        COLUMN: string;
        BASE_GREY: string;
        OVER_BACKGROUND: string;
        HEAD: string;
        BORDER: string;
        ACTION_BACKGROUND: string;
        WHITE: string;
        GREY_5: string;
        GREY_6: string;
        GREY_7: string;
        GREY_9: string;
        GREY_20: string;
    };
}>, unknown, unknown, undefined>>;
export declare const BaseColumn: FC<BaseProps & Props & ElementProps>;
export {};
