import { type ComponentPropsWithRef, type PropsWithChildren } from 'react';
export type Props = PropsWithChildren<ComponentPropsWithRef<'input'> & {
    /** `true` のとき、チェック状態を `mixed` にする */
    mixed?: boolean;
    /** チェックボックスにエラーがあるかどうか */
    error?: boolean;
}>;
export declare const Checkbox: import("react").ForwardRefExoticComponent<Omit<Props, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
