"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const DialogContentInner_1 = require("./DialogContentInner");
const useDialogPortal_1 = require("./useDialogPortal");
const Dialog = ({ className, portalParent, id, ...props }) => {
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent, id);
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, className: className }));
};
exports.Dialog = Dialog;
//# sourceMappingURL=Dialog.js.map