import { type ReactNode } from 'react';
import { type HeadingTagTypes } from '../Heading';
export type Props = {
    /** ダイアログタイトル */
    title: ReactNode;
    /** ダイアログサブタイトル */
    subtitle?: ReactNode;
    /**
     * ダイアログヘッダーの HTML タグ
     * @deprecated SectioningContent(Article, Aside, Nav, Section)でDialog全体をラップして、ダイアログタイトルのHeadingレベルを設定してください
     */
    titleTag?: HeadingTagTypes;
    titleId: string;
};
export declare const DialogHeader: import("react").NamedExoticComponent<Props>;
