"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogTrigger = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogWrapper_1 = require("./DialogWrapper");
const DialogTrigger = (props) => {
    const { onClickTrigger } = (0, react_1.useContext)(DialogWrapper_1.DialogContext);
    return (
    // eslint-disable-next-line jsx-a11y/no-static-element-interactions,jsx-a11y/click-events-have-key-events,smarthr/a11y-delegate-element-has-role-presentation
    (0, jsx_runtime_1.jsx)("div", { ...props, onClick: onClickTrigger, "aria-haspopup": "dialog", className: "shr-inline-block" }));
};
exports.DialogTrigger = DialogTrigger;
//# sourceMappingURL=DialogTrigger.js.map