"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogWrapper = exports.DialogContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const noop = () => undefined;
exports.DialogContext = (0, react_1.createContext)({
    onClickTrigger: noop,
    onClickClose: noop,
    active: false,
});
const DialogWrapper = (props) => {
    const [active, setActive] = (0, react_1.useState)(false);
    const onClickTrigger = (0, react_1.useCallback)(() => setActive(true), []);
    const onClickClose = (0, react_1.useCallback)(() => setActive(false), []);
    return ((0, jsx_runtime_1.jsx)(exports.DialogContext.Provider, { ...props, value: {
            onClickTrigger,
            onClickClose,
            active,
        } }));
};
exports.DialogWrapper = DialogWrapper;
//# sourceMappingURL=DialogWrapper.js.map