"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteTriggerMessageDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const MessageDialog_1 = require("../MessageDialog");
const useRemoteTrigger_1 = require("../useRemoteTrigger");
const RemoteTriggerMessageDialog = ({ id, onClickClose, onToggle, onOpen, onClose, ...props }) => {
    const { isOpen, onClickClose: actualOnClickClose } = (0, useRemoteTrigger_1.useRemoteTrigger)({
        id,
        onClickClose,
        onToggle,
        onOpen,
        onClose,
    });
    return (0, jsx_runtime_1.jsx)(MessageDialog_1.MessageDialog, { ...props, id: id, isOpen: isOpen, onClickClose: actualOnClickClose });
};
exports.RemoteTriggerMessageDialog = RemoteTriggerMessageDialog;
//# sourceMappingURL=RemoteTriggerMessageDialog.js.map