import { type ComponentProps, type FC } from 'react';
import { type StepFormDialogContentInnerProps } from './StepFormDialogContentInner';
import type { DialogProps /** コンテンツなにもないDialogの基本props */ } from '../types';
type Props = Omit<StepFormDialogContentInnerProps, 'titleId' | 'activeStep'> & DialogProps;
type ElementProps = Omit<ComponentProps<'div'>, keyof Props>;
export declare const StepFormDialog: FC<Props & ElementProps>;
export {};
