"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepFormDialogItem = void 0;
const react_1 = require("react");
const StepFormDialogProvider_1 = require("./StepFormDialogProvider");
const StepFormDialogItem = ({ children, id }) => {
    const { currentStep } = (0, react_1.useContext)(StepFormDialogProvider_1.StepFormDialogContext);
    if (currentStep.id !== id)
        return null;
    return children;
};
exports.StepFormDialogItem = StepFormDialogItem;
//# sourceMappingURL=StepFormDialogItem.js.map