"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderDropdownMenuButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Dropdown_1 = require("../Dropdown");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        '[&>.smarthr-ui-DropdownMenuButton-trigger]:shr-border-transparent [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-bg-transparent [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-px-0.25 [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-font-normal [&>.smarthr-ui-DropdownMenuButton-trigger]:shr-text-white',
        // ボタンの余白分だけ微調整
        '[&>.smarthr-ui-DropdownMenuButton-trigger]:last-of-type:-shr-me-0.25',
    ],
});
const HeaderDropdownMenuButton = ({ className, ...rest }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return (0, jsx_runtime_1.jsx)(Dropdown_1.DropdownMenuButton, { ...rest, className: actualClassName });
};
exports.HeaderDropdownMenuButton = HeaderDropdownMenuButton;
//# sourceMappingURL=HeaderDropdownMenuButton.js.map