import { type CSSProperties, type ComponentPropsWithRef, type ComponentType, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
import type { Gap, SeparateGap } from '../../../types';
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}, {
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}>, {
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}, undefined, string[], import("tailwind-variants/dist/config").TVConfig<{
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}, {
    align: {
        start: string;
        'flex-start': string;
        end: string;
        'flex-end': string;
        center: string;
        baseline: string;
        stretch: string;
    };
    rowGap: { [key in Gap]: string; };
    columnGap: { [key in Gap]: string; };
}>, unknown, unknown, undefined>>;
declare const itemClassNameGenerator: import("tailwind-variants").TVReturnType<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    firstItem: string;
    lastItem: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}>, {
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    firstItem: string;
    lastItem: string;
}, import("tailwind-variants").TVReturnType<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    firstItem: string;
    lastItem: string;
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}, {
    right: {
        true: {
            firstItem: string;
            lastItem: string;
        };
        false: {
            firstItem: string;
            lastItem: string;
        };
    };
}>, unknown, unknown, undefined>>;
type Props = Omit<VariantProps<typeof classNameGenerator>, 'rowGap' | 'columnGap'> & VariantProps<typeof itemClassNameGenerator> & PropsWithChildren<{
    as?: string | ComponentType<any>;
    /** コンポーネントの `min-width` 値 */
    contentsMinWidth?: CSSProperties['minWidth'];
    /** 各領域の間隔の指定（gap） */
    gap?: Gap | SeparateGap;
}> & ComponentPropsWithRef<'div'>;
export declare const Sidebar: import("react").ForwardRefExoticComponent<Omit<Props, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export {};
