"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RangeSeparator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const useDecorators_1 = require("../../hooks/useDecorators");
const VisuallyHiddenText_1 = require("../VisuallyHiddenText");
const DECORATOR_DEFAULT_TEXTS = {
    text: '〜',
    visuallyHiddenText: 'から',
};
exports.RangeSeparator = (0, react_1.memo)(({ decorators }) => {
    const decorated = (0, useDecorators_1.useDecorators)(DECORATOR_DEFAULT_TEXTS, decorators);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { "aria-hidden": "true", children: decorated.text }), (0, jsx_runtime_1.jsx)(VisuallyHiddenText_1.VisuallyHiddenText, { className: "shr-select-none", children: decorated.visuallyHiddenText })] }));
});
//# sourceMappingURL=RangeSeparator.js.map