"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideMenu = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Base_1 = require("../Base");
const Heading_1 = require("../Heading");
const SectioningContent_1 = require("../SectioningContent");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-SideMenu shr-list-none shr-py-0.5',
});
const SideMenu = ({ elementAs = 'ul', className, ...rest }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsxs)(SectioningContent_1.Nav, { children: [(0, jsx_runtime_1.jsx)(Heading_1.Heading, { visuallyHidden: true, children: "\u30B5\u30A4\u30C9\u30E1\u30CB\u30E5\u30FC" }), (0, jsx_runtime_1.jsx)(Base_1.Base, { ...rest, as: elementAs, className: actualClassName })] }));
};
exports.SideMenu = SideMenu;
//# sourceMappingURL=SideMenu.js.map