import { type ComponentPropsWithoutRef, type FC, type PropsWithChildren } from 'react';
type Props = PropsWithChildren<{
    /** `true` のとき、TabBar に下線を表示する */
    bordered?: boolean;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof Props | 'role'>;
export declare const TabBar: FC<Props & ElementProps>;
export {};
