import { type ComponentProps, type FC, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
type Props = PropsWithChildren<VariantProps<typeof classNameGenerator>>;
type ElementProps = Omit<ComponentProps<'table'>, keyof Props>;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}, {
    wrapper: string;
    table: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}, {
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}>, {
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}, {
    wrapper: string;
    table: string[];
}, import("tailwind-variants").TVReturnType<{
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}, {
    wrapper: string;
    table: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}, {
    borderType: {
        vertical: {};
        horizontal: {};
        both: {};
        outer: {
            table: string;
        };
        all: {
            table: string;
        };
    };
    borderStyle: {
        solid: {
            table: string;
        };
        dotted: {
            table: string;
        };
        dashed: {
            table: string;
        };
    };
    rounded: {
        true: {};
    };
    layout: {
        auto: {};
        fixed: {
            table: string;
        };
    };
    fixedHead: {
        true: {
            table: string;
        };
    };
}>, unknown, unknown, undefined>>;
export declare const Table: FC<Props & ElementProps>;
export {};
