"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpwardLink = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const __1 = require("..");
const Icon_1 = require("../../Icon");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-leading-none',
    variants: {
        indent: {
            true: '-shr-translate-x-1.25',
            false: '',
        },
    },
});
exports.UpwardLink = (0, react_1.memo)(({ indent, className, ...rest }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ indent: indent ?? true, className }), [indent, className]);
    return ((0, jsx_runtime_1.jsx)("div", { className: actualClassName, children: (0, jsx_runtime_1.jsx)(__1.TextLink, { ...rest, prefix: (0, jsx_runtime_1.jsx)(Icon_1.FaArrowLeftIcon, {}) }) }));
});
//# sourceMappingURL=UpwardLink.js.map