"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Timeline = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-list-none',
});
const Timeline = ({ className, children, ...rest }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsx)("ol", { ...rest, className: actualClassName, children: children }));
};
exports.Timeline = Timeline;
//# sourceMappingURL=Timeline.js.map