"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateFormatter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const useIntl_1 = require("./useIntl");
const DateFormatter = ({ date }) => {
    const { formatDate } = (0, useIntl_1.useIntl)();
    return (0, jsx_runtime_1.jsx)("time", { dateTime: date.toISOString(), children: formatDate(date) });
};
exports.DateFormatter = DateFormatter;
//# sourceMappingURL=DateFormatter.js.map