"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.genericsForwardRef = exports.includeDisabledTrigger = void 0;
const react_1 = require("react");
const includeDisabledTrigger = (trigger) => react_1.Children.map(trigger, (t) => (0, react_1.isValidElement)(t) && t.props.disabled)?.some((bool) => bool);
exports.includeDisabledTrigger = includeDisabledTrigger;
/** forwardRef でジェネリクスを使うためのラッパー
 * via https://www.totaltypescript.com/forwardref-with-generic-components */
const genericsForwardRef = (render) => (0, react_1.forwardRef)(render);
exports.genericsForwardRef = genericsForwardRef;
//# sourceMappingURL=util.js.map