"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLeading = exports.defaultLeading = void 0;
const lodash_1 = require("../libs/lodash");
exports.defaultLeading = {
    NONE: 1,
    TIGHT: 1.25,
    NORMAL: 1.5,
    RELAXED: 1.75,
};
const createLeading = (userLeading) => {
    if (!userLeading) {
        return exports.defaultLeading;
    }
    return (0, lodash_1.merge)({ ...exports.defaultLeading }, userLeading);
};
exports.createLeading = createLeading;
//# sourceMappingURL=createLeading.js.map